package fr.itsee.zelyx;

import android.os.Parcel;
import android.os.Parcelable;

public class Transporteur implements Parcelable, Comparable<Transporteur> {

    private int id =  0;
    private String code_postal_livraison = "";
    private String nom_transporteur = "";
    private Double prix_transporteur = 0.0;
    private Double max1 = 0.0;
    private Double max2 = 0.0;
    private Double max3 = 0.0;
    private Double max4 = 0.0;
    private Double max5 = 0.0;
    private Double max6 = 0.0;
    private Double max7 = 0.0;
    private Double max8 = 0.0;
    private Double max9 = 0.0;
    private Double max10 = 0.0;
    private Double max15 = 0.0;
    private Double max20 = 0.0;
    private Double max25 = 0.0;
    private Double max30 = 0.0;
    private Double sup30 = 0.0;
    private Double supplement_transporteur = 0.0;
    private String detailsTransporteur = "";

    public Transporteur() {
    }

    public Transporteur(Transporteur t) {
        this.id = t.getId();
        this.code_postal_livraison = t.getCodePostalLivraison();
        this.nom_transporteur = t.getNomTransporteur();
        this.prix_transporteur = t.getPrixTransporteur();
        this.max1 = t.getMax1();
        this.max2 = t.getMax2();
        this.max3 = t.getMax3();
        this.max4 = t.getMax4();
        this.max5 = t.getMax5();
        this.max6 = t.getMax6();
        this.max7 = t.getMax7();
        this.max8 = t.getMax8();
        this.max9 = t.getMax9();
        this.max10 = t.getMax10();
        this.max15 = t.getMax15();
        this.max20 = t.getMax20();
        this.max25 = t.getMax25();
        this.max30 = t.getMax30();
        this.sup30 = t.getSup30();
        this.detailsTransporteur = t.getDetailsTransporteur();
        this.supplement_transporteur = t.getSupplementTransporteur();
    }


    protected Transporteur(Parcel in) {
        id = in.readInt();
        code_postal_livraison = in.readString();
        nom_transporteur = in.readString();
        prix_transporteur = in.readDouble();
        max1 = in.readDouble();
        max2 = in.readDouble();
        max3 = in.readDouble();
        max4 = in.readDouble();
        max5 = in.readDouble();
        max6 = in.readDouble();
        max7 = in.readDouble();
        max8 = in.readDouble();
        max9 = in.readDouble();
        max10 = in.readDouble();
        max15 = in.readDouble();
        max20 = in.readDouble();
        max25 = in.readDouble();
        max30 = in.readDouble();
        sup30 = in.readDouble();
        detailsTransporteur = in.readString();
        supplement_transporteur = in.readDouble();
    }

    public static final Creator<Transporteur> CREATOR = new Creator<Transporteur>() {
        @Override
        public Transporteur createFromParcel(Parcel in) {
            return new Transporteur(in);
        }

        @Override
        public Transporteur[] newArray(int size) {
            return new Transporteur[size];
        }
    };

    @Override
    public int compareTo(Transporteur transporteur) {
        return this.getNomTransporteur().compareTo(transporteur.getNomTransporteur());
    }

    public int getId() {
        return id;
    }
    public String getCodePostalLivraison() { return code_postal_livraison; }
    public String getNomTransporteur() {
        return nom_transporteur;
    }
    public Double getPrixTransporteur() { return prix_transporteur; }
    public Double getMax1() {
        return max1;
    }
    public Double getMax2() {
        return max2;
    }
    public Double getMax3() {
        return max3;
    }
    public Double getMax4() {
        return max4;
    }
    public Double getMax5() {
        return max5;
    }
    public Double getMax6() {
        return max6;
    }
    public Double getMax7() {
        return max7;
    }
    public Double getMax8() {
        return max8;
    }
    public Double getMax9() {
        return max9;
    }
    public Double getMax10() { return max10; }
    public Double getMax15() {
        return max15;
    }
    public Double getMax20() {
        return max20;
    }
    public Double getMax25() {
        return max25;
    }
    public Double getMax30() {
        return max30;
    }
    public Double getSup30() {
        return sup30;
    }
    public String getDetailsTransporteur() { return detailsTransporteur; }
    public Double getSupplementTransporteur() { return supplement_transporteur; }

    public void setId(int id) {
        this.id = id;
    }
    public void setCodePostalLivraison(String code_postal_livraison) { this.code_postal_livraison = code_postal_livraison; }
    public void setNom_transporteur(String nom_transporteur) {
        this.nom_transporteur = nom_transporteur;
    }
    public void setPrix_transporteur(Double prix_transporteur) { this.prix_transporteur = prix_transporteur; }
    public void setMax1(Double max1) {
        this.max1 = max1;
    }
    public void setMax2(Double max2) {
        this.max2 = max2;
    }
    public void setMax3(Double max3) {
        this.max3 = max3;
    }
    public void setMax4(Double max4) {
        this.max4 = max4;
    }
    public void setMax5(Double max5) {
        this.max5 = max5;
    }
    public void setMax6(Double max6) {
        this.max6 = max6;
    }
    public void setMax7(Double max7) {
        this.max7 = max7;
    }
    public void setMax8(Double max8) {
        this.max8 = max8;
    }
    public void setMax9(Double max9) {
        this.max9 = max9;
    }
    public void setMax10(Double max10) { this.max10 = max10; }
    public void setMax15(Double max15) {
        this.max15 = max15;
    }
    public void setMax20(Double max20) {
        this.max20 = max20;
    }
    public void setMax25(Double max25) {
        this.max25 = max25;
    }
    public void setMax30(Double max30) {
        this.max30 = max30;
    }
    public void setSup30(Double sup30) {
        this.sup30 = sup30;
    }
    public void setSupplement_transporteur(Double supplement_transporteur) { this.supplement_transporteur = supplement_transporteur; }
    public void setDetailsTransporteur(String detailsTransporteur) {
        this.detailsTransporteur = detailsTransporteur;
    }

    @Override
    public String toString() {
        return "" + nom_transporteur;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(id);
        parcel.writeString(code_postal_livraison);
        parcel.writeString(nom_transporteur);
        parcel.writeDouble(prix_transporteur);
        parcel.writeDouble(max1);
        parcel.writeDouble(max2);
        parcel.writeDouble(max3);
        parcel.writeDouble(max4);
        parcel.writeDouble(max5);
        parcel.writeDouble(max6);
        parcel.writeDouble(max7);
        parcel.writeDouble(max8);
        parcel.writeDouble(max9);
        parcel.writeDouble(max10);
        parcel.writeDouble(max15);
        parcel.writeDouble(max20);
        parcel.writeDouble(max25);
        parcel.writeDouble(max30);
        parcel.writeDouble(sup30);
        parcel.writeString(detailsTransporteur);
        parcel.writeDouble(supplement_transporteur);
    }

}
