package fr.itsee.zelyx;

import android.os.Parcel;
import android.os.Parcelable;

public class TransporteurChronopostFranceSupplement implements Parcelable {

    private int id =  0;
    private String code_postal_livraison = "";
    private Double supplement_transporteur = 0.0;

    public TransporteurChronopostFranceSupplement() {
    }

    public TransporteurChronopostFranceSupplement(TransporteurChronopostFranceSupplement t) {
        this.id = t.getId();
        this.code_postal_livraison = t.getCodePostalLivraison();
        this.supplement_transporteur = t.getSupplementTransporteur();
    }

    protected TransporteurChronopostFranceSupplement(Parcel in) {
        id = in.readInt();
        code_postal_livraison = in.readString();
        supplement_transporteur = in.readDouble();
    }

    public static final Creator<TransporteurChronopostFranceSupplement> CREATOR = new Creator<TransporteurChronopostFranceSupplement>() {
        @Override
        public TransporteurChronopostFranceSupplement createFromParcel(Parcel in) {
            return new TransporteurChronopostFranceSupplement(in);
        }

        @Override
        public TransporteurChronopostFranceSupplement[] newArray(int size) {
            return new TransporteurChronopostFranceSupplement[size];
        }
    };

    public int getId() {
        return id;
    }
    public String getCodePostalLivraison() { return code_postal_livraison; }
    public Double getSupplementTransporteur() { return supplement_transporteur; }

    public void setId(int id) {
        this.id = id;
    }
    public void setCodePostalLivraison(String code_postal_livraison) { this.code_postal_livraison = code_postal_livraison; }
    public void setSupplement_transporteur(Double supplement_transporteur) { this.supplement_transporteur = supplement_transporteur; }

    @Override
    public String toString() {
        return "" + supplement_transporteur;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(id);
        parcel.writeString(code_postal_livraison);
        parcel.writeDouble(supplement_transporteur);
    }

}
